# XQilla Simple API Documentation

# ModuleCache Class Reference

`#include <XQQuery.hpp>`

Inheritance diagram for ModuleCache:
[legend]

List of all members.

## Public Member Functions

| ModuleCache (xercesc::MemoryManager *mm)
void | put (XQQuery *module)
XQQuery * | getByURI (const XMLCh *uri) const
XQQuery * | getByNamespace (const XMLCh *ns) const

## Public Attributes

ModuleMap | byURI_
ModuleMap | byNamespace_
ImportedModules | ordered_

## Constructor & Destructor Documentation

ModuleCache::ModuleCache | ( | xercesc::MemoryManager * | mm | ) |

## Member Function Documentation

XQQuery* ModuleCache::getByNamespace | ( | const XMLCh * | ns | ) | const

XQQuery* ModuleCache::getByURI | ( | const XMLCh * | uri | ) | const

void ModuleCache::put | ( | XQQuery * | module | ) |

## Member Data Documentation

ModuleMap ModuleCache::byNamespace_

ModuleMap ModuleCache::byURI_

ImportedModules ModuleCache::ordered_

The documentation for this class was generated from the following file:

- XQQuery.hpp